=== dist/t/osc/Makefile ===
check:
	@for i in *.ts; do perl -c $$i; done

test_system:
	prove -v *.ts
