=== debian/changelog ===
open-build-service (2.9.4-2) unstable; urgency=medium

  * Make obs-api runtime depends on ruby-coffee-rails

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 18 Mar 2019 16:47:17 -0300

open-build-service (2.9.4-1) unstable; urgency=medium

  [ Dan Nicholson ]
  * debian/control: Add Vcs-* links.

  [ Andrew Lee (李健秋) ]
  * New upstream release version 2.9.4. Closes: #918402, #903797, #903796.
    Fixes: CVE-2018-12467, CVE-2018-7689, CVE-2018-7688.
  * Refreshed use-ruby2.5.patch.
  * Refresh gemfile-tweaks.patch. Dropped embedded gem.
  * Drop drop-test-and-development-depends.patch.
  * Drop drop-ruby-hoptoad-notifier.patch.
  * Drop rails-4-gem-assets.patch.
  * Refreshed FHS-path.patch.
  * Refreshed and rename to do-not-install-fillups-and-initscripts.patch.
  * Drop Rakefile-fix.patch.
  * Drop fix-privacy-breach-piwik.patch.
  * Refreshed jquery-ui.patch.
  * Refreshed Do-not-ship-database.yml.patch.
  * Drop localgem.patch.
  * Drop CVE-2017-5188.patch.
  * Drop fix-kiwitree-symlink.patch.
  * Drop handle-links-properly.patch.
  * Drop dist-Use-2.7-packages-for-testing.patch.
  * debian/control: build-deps on rails (>= 5.1.1).
  * Drop airbrake, airbrake-ruby and it's related code.
  * Drop peek-dalli and peek-mysql2.
  * Adjust new build-deps.
  * Refresh gemfile-tweaks.patch.
  * Added do-not-run-rake-at-build-time.patch.
  * Added obsdeltastore.service file.
  * Install missing files.

  [ Lucas Kanashiro ]
  * debian/copyright: remove symlink from listed files
  * Drop debian/missing-sources
  * Remove the debian/localgem directory
  * Do not depend or recommend obsolete packages
  * Build depends on python instead of python-dev
  * Improve the obs-api package description
  * Use dh_missing to list missing files
  * Update config files copied to /etc
  * Call dh_install even overriding it
  * Add jquery.js missing source
  * Add patch to not allow one to load external JS in runtime
  * Runtime depends on libjs-html5shiv
  * Do not use recursive chown
  * Fix the script's perl interpreter path
  * Make obs-api runtime depends on adduser
  * Add some basic autopkgtests
  * debian/obs-api.postinst: enable obs apache2 site config
  * Use deb-systemd-invoke instead of invoke-rc.d
  * d/obs-server.postrm: check if group exists before remove it
  * Do not move database.yml.example to /etc

  [ Andrew Lee (李健秋) ]
  * No signd support by default in Debian OBS.
  * Adjust permissions for obs 2.9 rails app.

  [ Lucas Kanashiro ]
  * Add another basic autopkgtest
  * Add my self to Uploaders
  * Add patch fixing CVE-2018-12479. Closes: #911797
  * Do not enable obsworker service when it is installed
  * Do not install empty directory in obs-server package
  * Do not install empty directory in obs-api package
  * Declare compliance with Debian Policy 4.3.0
  * Add Vcs-{Git,Browser} fields

  [ Lucas Kanashiro ]
  * Update debian/changelog
  * debian/changelog: add missing entries

  [ Andrew Lee (李健秋) ]
  * Refine changlog to have Dan Nicholson's change on top

  [ Lucas Kanashiro ]
  * Remove duplicated VCS links
  * d/rake-tasks.sh: do not chown non existent file
  * d/patch/CVE-2018-12479.patch: use APIException
  * d/rake-tasks.sh: run ts:index task using production env

  [ Andrew Lee (李健秋) ]
  * d/rake-tasks.sh: touch the file if it's not exist yet for chown
    command.
  * Refreshed obsapidelayed init script changes from upstream.
  * Fix minor code style mistake in obsapidelayed init script.
  * Clean up mistake in refreshed obsapidelayed init script.
  * debian/control: obs-worker depends on tar. (Closes:#917427)
  * Added systemd obsapidelayed.service file.
  * Added systemd obsworker@.service file. (Closes:#853161)
  * debian/README.Debian: added how to run worker with systemd.
  * Added versioned depends on tar to avoid lintien error.
  * debian/obs-api.postinst: add a fallback hostname to make it installs
    in autopkgtest.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Feb 2019 16:51:58 +0800

open-build-service (2.7.4-3) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * Embed sanitize 4.0.0 ruby gem to fix breakeage.
    - add obs-api runtime depends on ruby-nokogumbo and ruby-crass.
  * worker: document enable switch
  * worker: use /var/lib/obsworker as OBS_RUN_DIR

  [ Andrew Lee (李健秋) ]
  * debian/gbp.conf: adjust gbp configuration file.
  * obs-worker: depends on fdisk | util-linux (<< 2.29.2-3~). (Closes:
    #872093)
  * CVE-2017-5188.patch: Apply upstream fixes for
    CVE-2017-5188.(Closes:#900133)
  * fix-kiwitree-symlink.patch: cherry-pick bad code fix from upstream.
  * Handle links properly when doing backend build operations.
  * Make passenger rubyapp runs as obsapi user.
  * Update correct group permission for rb_sysopen.

  [ Lucas Kanashiro ]
  * Remove patches related to ruby2.3.
  * Add patch to use ruby provided by the system instead of ruby2.3.
    (Closes:#894778)

  [ Andrew Lee (李健秋) ]
  * Drop superseded dh-systemd with debhelper (>= 9.20160709).
  * Add missing fix-sphinx.patch into series file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Sep 2018 15:00:41 +0800
