=== debian/tests/control ===
Test-Command: /bin/true
Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils

Tests: install-purge-install
Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils
Restrictions: needs-root

Tests: install-break-purge
Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils
Restrictions: needs-root
